/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/* Define the PIO[ANAMODE] bit macro (SDK 2.6.x and older miss this bit macro definition) */
#ifndef IOCON_PIO_ANAMODE_MASK
#define IOCON_PIO_ANAMODE_MASK  (0x40U)
#define IOCON_PIO_ANAMODE_SHIFT (6U)
#define IOCON_PIO_ANAMODE(x)    (((uint32_t)(((uint32_t)(x)) << IOCON_PIO_ANAMODE_SHIFT)) & IOCON_PIO_ANAMODE_MASK)
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO022_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 7. */
#define PIO022_FUNC_ALT7 0x07u
/*!
 * @brief Input polarity.: Disabled. Input function is not inverted. */
#define PIO022_INVERT_DISABLED 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO022_MODE_INACTIVE 0x00u
/*!
 * @brief Controls open-drain mode.: Normal. Normal push-pull output */
#define PIO022_OD_NORMAL 0x00u
/*!
 * @brief
 * Driver slew rate.
 * : Standard mode, output slew rate control is enabled.
 * More outputs can be switched simultaneously.
 */
#define PIO022_SLEW_STANDARD 0x00u

/*! @name PIO0_22 (coord B12), J3[62]/P0_22-USB0_VBUS
  @{ */
#define BOARD_INITPINS_USB0_VBUS_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_USB0_VBUS_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_USB0_VBUS_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M4F */

#define PIO023_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO023_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO023_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO024_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO024_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO025_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO025_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO026_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO026_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO027_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO027_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO028_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO028_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO212_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO212_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_26 (coord M13), U20[6]/P0_26-SPIFI_CLK
  @{ */
#define BOARD_SPIFI_CLK_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_CLK_PIN 26U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_CLK_PIN_MASK (1U << 26U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_24 (coord M7), U20[5]/P0_24-SPIFI_IO0
  @{ */
#define BOARD_SPIFI_IO0_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO0_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO0_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_25 (coord K8), U20[2]/P0_25-SPIFI_IO1
  @{ */
#define BOARD_SPIFI_IO1_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO1_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO1_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_27 (coord L9), U20[7]/P0_27-SPIFI_IO3
  @{ */
#define BOARD_SPIFI_IO3_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO3_PIN 27U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO3_PIN_MASK (1U << 27U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_28 (coord M9), U20[3]/P0_28-SPIFI_IO2-USB0_OCURRn
  @{ */
#define BOARD_SPIFI_IO2_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO2_PIN 28U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO2_PIN_MASK (1U << 28U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO0_23 (coord N7), U20[1]/P0_23-SPIFI_CSn-MCLK
  @{ */
#define BOARD_SPIFI_CSn_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_CSn_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_CSn_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*! @name PIO2_12 (coord M2), J4[28]/P2_12-SPIFI_RSTn
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SPIFI_RSTn_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_SPIFI_RSTn_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */
#define BOARD_SPIFI_RSTn_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_RSTn_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_RSTn_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPI_FLASHPins(void); /* Function assigned for the Cortex-M4F */

#define PIO015_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO015_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO015_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO018_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO018_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO019_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO019_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO020_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO020_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO021_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO021_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO02_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO02_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO03_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO03_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO04_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO05_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO05_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO06_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO06_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO07_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO07_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO08_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO08_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO09_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO09_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO110_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO110_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO111_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO111_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO112_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO112_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO113_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO113_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO114_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO114_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO115_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO115_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO116_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO116_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO119_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO119_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO120_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO120_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO121_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO121_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO123_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO123_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO124_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO124_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO125_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO125_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO126_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO126_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO127_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO127_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO128_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO128_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO129_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO129_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO130_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO130_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO131_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO131_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO14_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO14_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO15_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO15_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO16_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO16_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO17_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO17_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO18_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO18_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO19_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO19_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO325_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO325_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO3_25 (coord P9), J3[3]/P3_25-EMC_A14
  @{ */
#define BOARD_EMC_A14_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A14_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A14_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_25 (coord M12), J3[25]/P1_25-EMC_A13
  @{ */
#define BOARD_EMC_A13_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A13_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A13_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_24 (coord N14), J3[27]/P1_24-EMC_A12
  @{ */
#define BOARD_EMC_A12_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A12_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A12_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_23 (coord M10), J3[13]/P1_23-EMC_A11
  @{ */
#define BOARD_EMC_A11_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A11_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A11_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_16 (coord B7), J4[96]/P1_16-EMC_A10
  @{ */
#define BOARD_EMC_A10_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A10_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A10_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_27 (coord F10), J3[55]/P1_27-EMC_A9
  @{ */
#define BOARD_EMC_A9_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A9_PIN 27U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A9_PIN_MASK (1U << 27U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_26 (coord J10), J3[51]/P1_26-EMC_A8
  @{ */
#define BOARD_EMC_A8_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A8_PIN 26U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A8_PIN_MASK (1U << 26U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_8 (coord P8), J4[4]/P1_8-EMC_A7
  @{ */
#define BOARD_EMC_A7_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A7_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A7_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_7 (coord N1), J4[31]/P1_7-EMC_A6
  @{ */
#define BOARD_EMC_A6_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A6_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A6_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_6 (coord G4), J4[50]/P1_6-EMC_A5
  @{ */
#define BOARD_EMC_A5_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A5_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A5_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_5 (coord E4), J4[68]P1_5-EMC_A4
  @{ */
#define BOARD_EMC_A4_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A4_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A4_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_21 (coord C13), J3[54]P0_21-EMC_A3
  @{ */
#define BOARD_EMC_A3_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A3_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A3_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_20 (coord D13), J3[50]/P0_20-EMC_A2
  @{ */
#define BOARD_EMC_A2_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A2_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A2_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_19 (coord C6), J4[88]/P0_19-EMC_A1
  @{ */
#define BOARD_EMC_A1_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A1_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A1_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_18 (coord C14), J3[52]/P0_18-EMC_A0
  @{ */
#define BOARD_EMC_A0_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A0_PIN 18U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A0_PIN_MASK (1U << 18U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_15 (coord L4), J4[46]/P0_15-EMC_WEn
  @{ */
#define BOARD_EMC_WEn_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_WEn_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_EMC_WEn_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_9 (coord K6), J4[12]/P1_9-EMC_CASn
  @{ */
#define BOARD_EMC_CASn_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CASn_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CASn_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_10 (coord N9), J3[5]/P1_10-EMC_RASn
  @{ */
#define BOARD_EMC_RASn_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_RASn_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_EMC_RASn_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_12 (coord K9), J3[7]/P1_12-EMC_DYCSn0
  @{ */
#define BOARD_EMC_DYCSn0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DYCSn0_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DYCSn0_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PIO1_31 (coord C5), J4[84]/P1_31-EMC_D15
  @{ */
#define BOARD_EMC_D15_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D15_PIN 31U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D15_PIN_MASK (1U << 31U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_30 (coord A8), J3[92]/P1_30-EMC_D14
  @{ */
#define BOARD_EMC_D14_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D14_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D14_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_29 (coord C11), J3[85]/P1_29-EMC_D13
  @{ */
#define BOARD_EMC_D13_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D13_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D13_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_28 (coord E12), J3[77]/P1_28-EMC_D12
  @{ */
#define BOARD_EMC_D12_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D12_PIN 28U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D12_PIN_MASK (1U << 28U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_4 (coord D4), J4[74]/P1_4-EMC_D11
  @{ */
#define BOARD_EMC_D11_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D11_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D11_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_21 (coord N8), J4[6]/P1_21-EMC_D10
  @{ */
#define BOARD_EMC_D10_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D10_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D10_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_20 (coord M1), J4[33]/P1_20-EMC_D9
  @{ */
#define BOARD_EMC_D9_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D9_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D9_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_19 (coord L1), J4[35]/P1_19-EMC_D8
  @{ */
#define BOARD_EMC_D8_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D8_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D8_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_9 (coord G12), J3[57]/P0_9-EMC_D7
  @{ */
#define BOARD_EMC_D7_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D7_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D7_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_8 (coord H10), J3[36]/P0_8-EMC_D6
  @{ */
#define BOARD_EMC_D6_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D6_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D6_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_7 (coord H12), J3[49]P0_7-EMC_D5
  @{ */
#define BOARD_EMC_D5_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D5_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D5_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_6 (coord A5), J3[96]/P0_6-EMC_D4
  @{ */
#define BOARD_EMC_D4_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D4_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D4_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_5 (coord E7), J3[92]/P0_5-EMC_D3
  @{ */
#define BOARD_EMC_D3_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D3_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D3_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_4 (coord C8), J3[94]/P0_4-EMC_D2
  @{ */
#define BOARD_EMC_D2_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D2_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D2_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_3 (coord A10), J3[70]P0_3-ISP_FC3_MOSI-EMC_D1
  @{ */
#define BOARD_EMC_D1_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D1_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D1_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_2 (coord E9), J3[97]/P0_2-ISP_FC3_MISO-EMC_D0
  @{ */
#define BOARD_EMC_D0_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D0_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D0_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_14 (coord C12), J3[83]/P1_14-EMC_DQM1
  @{ */
#define BOARD_EMC_DQM1_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM1_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DQM1_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_13 (coord G10), J3[53]/P1_13-EMC_DQM0
  @{ */
#define BOARD_EMC_DQM0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM0_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DQM0_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_11 (coord B4), J4[94]/P1_11-EMC_CLK0
  @{ */
#define BOARD_EMC_CLK0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CLK0_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CLK0_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_15 (coord A11), J3[73]/P1_15-EMC_CKE0
  @{ */
#define BOARD_EMC_CKE0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CKE0_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CKE0_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDRAMPins(void); /* Function assigned for the Cortex-M4F */

#define PIO029_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO030_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO030_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO0_29 (coord B13), J4[97]/P0_29-ISP_FC0_RXD
  @{ */
#define BOARD_ISP_FC0_RXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_RXD_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_RXD_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_30 (coord A2), J4[93]/P0_30-ISP_FC0_TXD
  @{ */
#define BOARD_ISP_FC0_TXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_TXD_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_TXD_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void); /* Function assigned for the Cortex-M4F */

#define PIO010_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO010_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO010_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO011_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO011_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO011_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO012_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO012_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO012_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO0_12 (coord M3), J4[32]/J7[4]/IF_SWDIO
  @{ */
#define BOARD_IF_SWDIO_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_IF_SWDIO_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_IF_SWDIO_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO0_11 (coord L3), J4[34]/J7[4]/SWDCLK_TRGT
  @{ */
#define BOARD_SWDCLK_TRGT_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SWDCLK_TRGT_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_SWDCLK_TRGT_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_10 (coord P2), J4[27]/J7[6]/SWO_TRGT
  @{ */
#define BOARD_SWO_TRGT_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SWO_TRGT_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_SWO_TRGT_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUGPins(void); /* Function assigned for the Cortex-M4F */

/*!
 * @brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO10_ANAMODE_DISABLED 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO10_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO10_FUNC_ALT0 0x00u
/*!
 * @brief Input polarity.: Disabled. Input function is not inverted. */
#define PIO10_INVERT_DISABLED 0x00u
/*!
 * @brief Selects function mode (on-chip pull-up/pull-down resistor control).: Pull-up. Pull-up resistor enabled. */
#define PIO10_MODE_PULL_UP 0x02u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO122_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO122_FUNC_ALT1 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO315_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO315_FUNC_ALT1 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO316_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO316_FUNC_ALT1 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO317_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO317_FUNC_ALT1 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO33_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO33_FUNC_ALT0 0x00u
/*!
 * @brief Input polarity.: Disabled. Input function is not inverted. */
#define PIO33_INVERT_DISABLED 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Pull-down.
 * Pull-down resistor enabled.
 */
#define PIO33_MODE_PULL_DOWN 0x01u

/*! @name PIO3_15 (coord D2), J4[81]/P3_15-SD_WPn
  @{ */
#define BOARD_INITGT1216SHIELD_SPI8_SCK_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_SPI8_SCK_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_SPI8_SCK_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                                  /* @} */

/*! @name PIO3_17 (coord K1), J4[45]/P3_17-FC8_MISO
  @{ */
#define BOARD_INITGT1216SHIELD_SPI8_MISO_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_SPI8_MISO_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_SPI8_MISO_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PIO3_16 (coord E1), J4[73]/P3_16-GPIO_SPI_CS2
  @{ */
#define BOARD_INITGT1216SHIELD_SPI8_MOSI_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_SPI8_MOSI_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_SPI8_MOSI_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PIO1_22 (coord P11), IRQ
  @{ */
#define BOARD_INITGT1216SHIELD_SPI8_SSEL1_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_SPI8_SSEL1_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_SPI8_SSEL1_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                                    /* @} */

/*! @name PIO3_3 (coord A13), PWRON
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITGT1216SHIELD_PWRON_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITGT1216SHIELD_PWRON_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */
#define BOARD_INITGT1216SHIELD_PWRON_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_PWRON_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_PWRON_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PIO1_0 (coord N3), IRQ
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITGT1216SHIELD_IRQ_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITGT1216SHIELD_IRQ_GPIO_PIN_MASK (1U << 0U) /*!<@brief GPIO pin mask */
#define BOARD_INITGT1216SHIELD_IRQ_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITGT1216SHIELD_IRQ_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_INITGT1216SHIELD_IRQ_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                            /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitGT1216Shield(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
